Update a case comment or alert

Server: https://{kibana_url}
  • PATCH /api/cases/{caseId}/comments
  • PATCH /s/{space_id}/api/cases/{caseId}/comments

Refer to Spaces for more information.

You must have all privileges for the Cases feature in the Management, Observability, or Security section of the Kibana feature privileges, depending on the owner of the case you're updating. NOTE: You cannot change the comment type or the owner of a comment.

Path Parameters

caseId string required

The identifier for the case. To retrieve case IDs, use the find cases API. All non-ASCII characters must be URL encoded.

Responses